#! /bin/bash

source script/discover_os

discover_os

# check if the directory $1/HDF5 exist

if [ -d "$1/HDF5" -a -f "$1/HDF5/include/hdf5.h" ]; then
  echo "HDF5 is already installed"
  exit 0
fi

#if [ ! -d "$1/ZLIB"  -a x"$platform" != x"cygwin" ]; then
#  rm zlib-1.2.12.tar.gz
#  rm -rf zlib-1.2.12
#  wget http://zlib.net/zlib-1.2.12.tar.gz 
#  if [ $? -ne 0 ]; then
#    echo -e "\033[91;5;1m FAILED! Installation requires an Internet connection \033[0m"
#    exit 1
#  fi
#  tar -xf zlib-1.2.12.tar.gz
#  cd zlib-1.2.12

#  CC=mpicc CFLAGS=-fPIC  ./configure --prefix=$1/ZLIB
#  make -j $2
#  if [ $? -eq 0 ]; then
#    make check install
#  else
#    echo -e "\033[91;5;1m ZLIB Installation FAILED \033[0m"
#    exit 1
#  fi
#  cd ..

#else
#  echo "ZLIB is already installed"
#fi


### 1.8.19 does not compile on CYGWIN
wget http://ppmcore.mpi-cbg.de/upload/hdf5-1.10.8.tar.gz
tar -xf hdf5-1.10.8.tar.gz
cd hdf5-1.10.8

# Disable zlib is completly unstable
if [ x"$platform" != x"cygwin" ]; then
        CC=mpicc ./configure --enable-parallel --prefix=$1/HDF5
	make -j $2
else
        CC=mpicc ./configure --enable-parallel --prefix=$1/HDF5
	make CFLAGS=-D_POSIX_C_SOURCE -j $2
fi
mkdir $1/HDF5
make install
if [ $? -ne 0 ]; then
    echo "HDF5 error installing"
    exit 0
fi
echo 4 > $1/HDF5/version
